> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/get-started/faq/office-file-page-count.md).

# Why does my office file only have 1 page in documentLoaded?

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

When loading office files, each page is loaded in sequence.

So when the following code is run, the result is that the office file only has 1 page:

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
documentViewer.addEventListener('documentLoaded', () => {
  documentViewer.getCompleteRotation(2); // Throws exception as page 2 is not loaded yet
  console.log(documentViewer.getPageCount()); // Returns 1
});
```

{% endcode %}
{% endtab %}
{% endtabs %}

To get the document with all pages loaded, you can await the [documentCompletePromise](https://sdk.apryse.com/api/web/Core.Document.html#documentCompletePromise). This promise will resolve when all of the page information is available for the document.

{% tabs %}
{% tab title="JavaScript" %}
{% code lineNumbers="true" %}

```js
documentViewer.addEventListener('documentLoaded', async () => {
  await documentViewer.getDocument().documentCompletePromise();
  documentViewer.getCompleteRotation(2); // Works now as all pages are loaded
  console.log(documentViewer.getPageCount()); // Returns the correct page count
});
```

{% endcode %}
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.apryse.com/web/get-started/faq/office-file-page-count.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
